Index: python/plot_retrieved.py
===================================================================
--- python/plot_retrieved.py	(revision d69b6776d6d39e0af0d38c95cbfd78284c9866e4)
+++ python/plot_retrieved.py	(revision d69b6776d6d39e0af0d38c95cbfd78284c9866e4)
@@ -0,0 +1,277 @@
+#!/usr/bin/env python
+# This software is licensed under the terms of the Apache Licence Version 2.0
+# which can be obtained at http://www.apache.org/licenses/LICENSE-2.0. 
+# 
+# Functionality provided: Simple tool for creating maps and time series of retrieved fields.
+# 
+# Requirements: 
+# in addition to a standard python 2.6 or 2.7 installation the following packages need to be installed
+# ECMWF WebMARS, gribAPI with python enabled, emoslib, ecaccess web toolkit, all available from https://software.ecmwf.int/
+# dateutils
+# matplotlib (optional, for debugging)
+
+import datetime
+import time
+import os,inspect,sys,glob
+import socket
+# add path to submit.py to pythonpath so that python finds its buddies
+localpythonpath=os.path.dirname(os.path.abspath(inspect.getfile(inspect.currentframe())))
+if localpythonpath not in sys.path:
+    sys.path.append(localpythonpath)
+    
+from matplotlib.pylab import *
+import matplotlib.patches as mpatches
+from mpl_toolkits.basemap import Basemap,addcyclic
+import matplotlib.colors as mcolors
+from matplotlib.font_manager import FontProperties
+from matplotlib.patches import Polygon
+import matplotlib.cm as cmx
+import matplotlib.colors as colors
+from argparse import ArgumentParser,ArgumentDefaultsHelpFormatter
+
+from FlexpartTools import interpret_args_and_control,silentremove,product,Control
+from GribTools import GribTools
+from gribapi import *
+from rasotools.utils import stats
+
+def plot_retrieved(args,c):
+
+    start = datetime.datetime.strptime(c.start_date,'%Y%m%d%H')
+    end = datetime.datetime.strptime(c.end_date,'%Y%m%d%H')
+
+    c.paramIds=asarray(c.paramIds,dtype='int')
+    c.levels=asarray(c.levels,dtype='int')
+    c.area=asarray(c.area)
+    
+    index_keys=["date","time","step"]
+    indexfile=c.inputdir+"/date_time_stepRange.idx"
+    silentremove(indexfile)
+    files=glob.glob(c.inputdir+'/'+c.prefix+'*')
+    grib=GribTools(files)
+    iid=grib.index(index_keys=index_keys, index_file = indexfile)
+
+    gdict=dict(Ni = 360, Nj = 181,  iScansNegatively = 0,  jScansPositively = 0,
+               jPointsAreConsecutive = 0,  alternativeRowScanning = 0,
+               latitudeOfFirstGridPointInDegrees = 90,
+               longitudeOfFirstGridPointInDegrees = 181,
+               latitudeOfLastGridPointInDegrees = -90,
+               longitudeOfLastGridPointInDegrees = 180,
+               iDirectionIncrementInDegrees = 1,
+               jDirectionIncrementInDegrees = 1
+               )
+
+    index_vals = []
+    for key in index_keys:
+        key_vals = grib_index_get(iid,key)
+        print key_vals
+
+        index_vals.append(key_vals)
+    
+    fdict=dict()
+    fmeta=dict()
+    fstamp=dict()
+    for p in c.paramIds:
+        for l in c.levels:
+            key='{:0>3}_{:0>3}'.format(p,l)
+            fdict[key]=[]
+            fmeta[key]=[]
+            fstamp[key]=[]
+    for prod in product(*index_vals):
+        for i in range(len(index_keys)):
+            grib_index_select(iid,index_keys[i],prod[i])
+
+        gid = grib_new_from_index(iid)
+#        if gid is not None:
+
+        while(gid is not None):
+            date = grib_get(gid, 'date')
+            fdate= datetime.datetime(date/10000,mod(date,10000)/100,mod(date,100))
+            gtime = grib_get(gid, 'time')
+            step = grib_get(gid, 'step')
+            fdatetime=fdate+datetime.timedelta(hours=gtime/100)
+#            if fdatetime<start or fdatetime>end:
+#                break
+            gtype = grib_get(gid, 'type')
+            paramId = grib_get(gid, 'paramId')
+            parameterName = grib_get(gid, 'parameterName')
+            level=grib_get(gid,'level')
+            if step>=c.start_step and step <=c.end_step and fdatetime>=start and fdatetime<=end and paramId in c.paramIds and level in c.levels:
+                key='{:0>3}_{:0>3}'.format(paramId,level)
+                print key
+                fdatetimestep=fdatetime+datetime.timedelta(hours=step)
+                if len(fstamp)==0:
+                    fstamp[key].append(fdatetimestamp)    
+                    fmeta[key].append((paramId,parameterName,gtype,fdatetime,gtime,step,level))
+                    fdict[key].append(flipud(reshape(grib_get_values(gid),[gdict['Nj'],gdict['Ni']])))
+                else:
+                    i=0
+                    inserted=False
+                    for i in range(len(fstamp[key])):
+                        if fdatetimestep<fstamp[key][i]:
+                            fstamp[key][i:i]=[fdatetimestep]
+                            fmeta[key][i:i]=[(paramId,parameterName,gtype,fdatetime,gtime,step,level)]
+                            fdict[key][i:i]=[flipud(reshape(grib_get_values(gid),[gdict['Nj'],gdict['Ni']]))]
+                            inserted=True
+                            break
+                    if not inserted:
+                        fstamp[key].append(fdatetimestep)
+                        fmeta[key].append((paramId,parameterName,gtype,fdatetime,gtime,step,level))
+                        fdict[key].append(flipud(reshape(grib_get_values(gid),[gdict['Nj'],gdict['Ni']])))
+                    
+
+            grib_release(gid)
+            gid = grib_new_from_index(iid)
+            
+    for k in fdict.keys():
+        fml=fmeta[k]
+        fdl=fdict[k]
+        
+        for fd,fm in zip(fdl,fml):
+            ftitle=fm[1]+' {} '.format(fm[-1])+datetime.datetime.strftime(fm[3],'%Y%m%d%H')+' '+stats(fd)
+            pname='_'.join(fm[1].split())+'_{}_'.format(fm[-1])+datetime.datetime.strftime(fm[3],'%Y%m%d%H')+'.{:0>3}'.format(fm[5])
+            plotmap(fd, fm,gdict,ftitle,pname+'.eps')
+        
+    for k in fdict.keys():
+        fml=fmeta[k]
+        fdl=fdict[k]
+        fsl=fstamp[k]
+        if fdl:
+            fm=fml[0]
+            fd=fdl[0]
+            ftitle=fm[1]+' {} '.format(fm[-1])+datetime.datetime.strftime(fm[3],'%Y%m%d%H')+' '+stats(fd)
+            pname='_'.join(fm[1].split())+'_{}_'.format(fm[-1])+datetime.datetime.strftime(fm[3],'%Y%m%d%H')+'.{:0>3}'.format(fm[5])
+            lat=-20
+            lon=20
+            plottimeseries(fdl,fml,fsl,lat,lon, gdict, ftitle, pname+'.eps')   
+    
+def plottimeseries(flist,fmetalist,ftimestamps,lat,lon,gdict,ftitle,filename):
+    t1=time.time()
+    latindex=(lat+90)*180/(gdict['Nj']-1)
+    lonindex=(lon+179)*360/gdict['Ni']
+    farr=asarray(flist)
+    ts=farr[:,latindex,lonindex]
+    f=plt.figure(figsize=(12,6.7))
+    plt.plot(ftimestamps,ts)
+    plt.title(ftitle)
+    savefig(c.outputdir+'/'+filename)
+    print 'created ',c.outputdir+'/'+filename
+    plt.close(f)
+    print time.time()-t1,'s'
+    
+def plotmap(flist,fmetalist,gdict,ftitle,filename):
+    t1=time.time()
+    f=plt.figure(figsize=(12,6.7))
+    mbaxes = f.add_axes([0.05, 0.15, 0.8, 0.7]) 
+    m =Basemap(llcrnrlon=-180.,llcrnrlat=-90.,urcrnrlon=180,urcrnrlat=90.)
+    #if bw==0 :
+        #fill_color=rgb(0.6,0.8,1)
+    #else:
+        #fill_color=rgb(0.85,0.85,0.85)
+    
+    lw=0.3
+    m.drawmapboundary()
+    parallels = arange(-90.,91,90.)
+    # labels = [left,right,top,bottom]
+    m.drawparallels(parallels,labels=[True,True,True,True],linewidth=lw)
+    meridians = arange(-180.,181.,60.)
+    m.drawmeridians(meridians,labels=[True,True,True,True],linewidth=lw)
+    m.drawcoastlines(linewidth=lw)
+    xleft=gdict['longitudeOfFirstGridPointInDegrees']
+    if xleft>180.0:
+        xleft-=360. 
+    x=linspace(xleft,gdict['longitudeOfLastGridPointInDegrees'],gdict['Ni'])
+    y=linspace(gdict['latitudeOfLastGridPointInDegrees'],gdict['latitudeOfFirstGridPointInDegrees'],gdict['Nj'])
+    xx, yy = m(*meshgrid(x,y))
+
+    s=m.contourf(xx,yy, flist)
+    title(ftitle,y=1.1)
+    cbaxes = f.add_axes([0.9, 0.2, 0.04, 0.6]) 
+    cb=colorbar(cax=cbaxes)
+    
+    savefig(c.outputdir+'/'+filename)
+    print 'created ',c.outputdir+'/'+filename
+    plt.close(f)
+    print time.time()-t1,'s'
+
+
+def interpret_plotargs(*args,**kwargs):
+
+    parser = ArgumentParser(description='Retrieve FLEXPART input from ECMWF MARS archive',
+                            formatter_class=ArgumentDefaultsHelpFormatter)
+
+# the most important arguments	
+    parser.add_argument("--start_date", dest="start_date",
+                        help="start date YYYYMMDD")
+    parser.add_argument( "--end_date", dest="end_date",
+                         help="end_date YYYYMMDD")
+
+    parser.add_argument("--start_step", dest="start_step",
+                        help="start step in hours")
+    parser.add_argument( "--end_step", dest="end_step",
+                         help="end_step in hours")
+
+# some arguments that override the default in the control file
+    parser.add_argument("--levelist", dest="levelist",help="Vertical levels to be retrieved, e.g. 30/to/60")
+    parser.add_argument("--area", dest="area", help="area defined as north/west/south/east")
+    parser.add_argument("--paramIds", dest="paramIds", help="parameter IDs")
+    parser.add_argument("--prefix", dest="prefix",default='EN', help="output file name prefix")
+
+# set the working directories
+    parser.add_argument("--inputdir", dest="inputdir",default=None,
+                        help="root directory for storing intermediate files")
+    parser.add_argument("--outputdir", dest="outputdir",default=None,
+                        help="root directory for storing output files")
+    parser.add_argument("--flexpart_root_scripts", dest="flexpart_root_scripts",
+                        help="FLEXPART root directory (to find grib2flexpart and COMMAND file)\n\
+                              Normally ECMWFDATA resides in the scripts directory of the FLEXPART distribution")
+
+    parser.add_argument("--controlfile", dest="controlfile",default='CONTROL.temp',
+                        help="file with control parameters")
+    args = parser.parse_args()
+
+    try:
+        c=Control(args.controlfile)
+    except IOError:
+        try:
+            c=Control(localpythonpath+args.controlfile)
+
+        except:
+            print 'Could not read control file "'+args.controlfile+'"'
+            print 'Either it does not exist or its syntax is wrong.'
+            print 'Try "'+sys.argv[0].split('/')[-1]+' -h" to print usage information'
+            exit(1)
+    
+    if args.levelist:        
+        c.levels=args.levelist.split('/')
+    else:
+        c.levels=[0]
+    if args.area:
+        c.area=args.area.split('/')
+    else:
+        c.area='[0,0]'
+    
+    c.paramIds=args.paramIds.split('/')
+    if args.start_step:
+        c.start_step=int(args.start_step)
+    else:
+        c.start_step=0
+    if args.end_step:
+        c.end_step=int(args.end_step)
+    else:
+        c.end_step=0
+
+    c.start_date=args.start_date
+    c.end_date=args.end_date
+    c.prefix=args.prefix
+    c.inputdir=args.inputdir
+    if args.outputdir:
+        c.outputdir=args.outputdir
+    else:
+        c.outputdir=c.inputdir
+    
+        return args,c
+
+if __name__ == "__main__":
+    
+    args,c=interpret_plotargs()
+    plot_retrieved(args,c)
Index: python/prepareFLEXPART.py
===================================================================
--- python/prepareFLEXPART.py	(revision 21938083773b1bba2e82ee565f34eba3445dfa1a)
+++ python/prepareFLEXPART.py	(revision d69b6776d6d39e0af0d38c95cbfd78284c9866e4)
@@ -1,11 +1,11 @@
 #!/usr/bin/env python
-#
+#             
 # This software is licensed under the terms of the Apache Licence Version 2.0
-# which can be obtained at http://www.apache.org/licenses/LICENSE-2.0.
-#
+# which can be obtained at http://www.apache.org/licenses/LICENSE-2.0. 
+# 
 # Functionality provided: Prepare input 3D-wind fields in hybrid coordinates + surface fields for FLEXPART runs
 #
 # Creation: October  2014 - Anne Fouilloux - University of Oslo
-# Extension November 2015 - Leopold Haimberger - University of Vienna for:
+# Extension November 2015 - Leopold Haimberger - University of Vienna for: 
 # - using the WebAPI also for general MARS retrievals
 # - job submission on ecgate and cca
@@ -15,11 +15,11 @@
 # - conversion into GRIB2
 # - conversion into .fp format for faster execution of FLEXPART
-#
-# Requirements:
+# 
+# Requirements: 
 # in addition to a standard python 2.6 or 2.7 installation the following packages need to be installed
 # ECMWF WebMARS, gribAPI with python enabled, emoslib, ecaccess web toolkit, all available from https://software.ecmwf.int/
 # dateutils
 # matplotlib (optional, for debugging)
-#
+# 
 import calendar
 import shutil
@@ -37,5 +37,4 @@
 from GribTools import GribTools
 from FlexpartTools import EIFlexpart, Control,interpret_args_and_control, cleanup
-from opposite import opposite
 
 hostname=socket.gethostname()
@@ -47,5 +46,5 @@
 except ImportError:
     ecapi=False
-
+    
 
 def prepareFLEXPART(args,c):
@@ -54,5 +53,5 @@
 
     namelist='fort.4'
-
+    
     if not args.ppid:
         c.ppid=str(os.getppid())
@@ -79,6 +78,6 @@
     inputfiles.listFiles(c.inputdir, '*OG_acc_SL*.'+c.ppid+'.*')
     if not os.path.exists(c.outputdir):
-        os.makedirs(c.outputdir)
-
+	os.makedirs(c.outputdir)
+	
     flexpart = EIFlexpart(c,fluxes=True)
     flexpart.create_namelist(c,'fort.4')
@@ -98,11 +97,11 @@
 
     if int(c.debug)!=0:
-        print('Temporary files left intact')
+	print('Temporary files left intact')
     else:
-        cleanup(c)
+	cleanup(c)
 
 if __name__ == "__main__":
     args,c=interpret_args_and_control()
     prepareFLEXPART(args,c)
-
-
+    cleanup(c)
+    
Index: python/set_CTBTO_env.csh
===================================================================
--- python/set_CTBTO_env.csh	(revision d69b6776d6d39e0af0d38c95cbfd78284c9866e4)
+++ python/set_CTBTO_env.csh	(revision d69b6776d6d39e0af0d38c95cbfd78284c9866e4)
@@ -0,0 +1,12 @@
+#!/bin/csh
+
+# script to prepare CTBTO environment for
+# ECMWFDATA7.0
+# 
+# Leo Haimberger 1.3.2016
+
+setenv PATH /dvl/atm/klinkl/software/local/bin:$PATH
+setenv PYTHONPATH /dvl/atm/klinkl/software/local/lib/python2.7/site-packages/grib_api
+setenv LD_LIBRARY_PATH ${LD_LIBRARY_PATH}:/dvl/atm/klinkl/software/local/lib/
+setenv GRIB_API_INCLUDE_DIR /dvl/atm/klinkl/software/local/include/
+setenv GRIB_API_LIB '-L/dvl/atm/klinkl/software/local/lib -Bstatic  -lgrib_api_f77 -lgrib_api_f90 -lgrib_api -lemosR64 -Bdynamic  -lm  -ljasper'
Index: python/set_CTBTO_env.sh
===================================================================
--- python/set_CTBTO_env.sh	(revision d69b6776d6d39e0af0d38c95cbfd78284c9866e4)
+++ python/set_CTBTO_env.sh	(revision d69b6776d6d39e0af0d38c95cbfd78284c9866e4)
@@ -0,0 +1,12 @@
+#!/bin/bash
+
+# script to prepare CTBTO environment for
+# ECMWFDATA7.0
+# 
+# Leo Haimberger 1.3.2016
+
+export PATH=/dvl/atm/klinkl/software/local/bin:$PATH
+export PYTHONPATH=/dvl/atm/klinkl/software/local/lib/python2.7/site-packages/grib_api
+export LD_LIBRARY_PATH=${LD_LIBRARY_PATH}:/dvl/atm/klinkl/software/local/lib/
+export GRIB_API_INCLUDE_DIR=/dvl/atm/klinkl/software/local/include/
+export GRIB_API_LIB='-L/dvl/atm/klinkl/software/local/lib -Bstatic  -lgrib_api_f77 -lgrib_api_f90 -lgrib_api -lemosR64 -Bdynamic  -lm  -ljasper'
Index: python/submit.py
===================================================================
--- python/submit.py	(revision 75ed4bce3d3979471b68b6daaded3500743d31e1)
+++ python/submit.py	(revision d69b6776d6d39e0af0d38c95cbfd78284c9866e4)
@@ -1,11 +1,11 @@
 #!/usr/bin/env python
-#
+#             
 # This software is licensed under the terms of the Apache Licence Version 2.0
-# which can be obtained at http://www.apache.org/licenses/LICENSE-2.0.
-#
+# which can be obtained at http://www.apache.org/licenses/LICENSE-2.0. 
+# 
 # Functionality provided: Prepare input 3D-wind fields in hybrid coordinates + surface fields for FLEXPART runs
 #
 # Creation: October  2014 - Anne Fouilloux - University of Oslo
-# Extension November 2015 - Leopold Haimberger - University of Vienna for:
+# Extension November 2015 - Leopold Haimberger - University of Vienna for: 
 # - using the WebAPI also for general MARS retrievals
 # - job submission on ecgate and cca
@@ -17,6 +17,6 @@
 #
 # Further documentation may be obtained from www.flexpart.eu
-#
-# Requirements:
+# 
+# Requirements: 
 # in addition to a standard python 2.6 or 2.7 installation the following packages need to be installed
 # ECMWF WebMARS, gribAPI with python enabled, emoslib, ecaccess web toolkit, all available from https://software.ecmwf.int/
@@ -24,5 +24,5 @@
 # matplotlib (optional, for debugging)
 #
-#
+# 
 import calendar
 import shutil
@@ -56,20 +56,17 @@
             c.outputdir=os.path.join(calledfromdir,c.outputdir)
         getMARSdata(args,c)
-	if c.request == 0 or c.request == 2:
-            prepareFLEXPART(args,c)
-            normalexit(c)
-        else:
-            normalexit(c)
+        prepareFLEXPART(args,c)
+        normalexit(c)
     else:
         submit(args.job_template,c,args.queue)
-
-
+        
+        
 def submit(jtemplate,c,queue):
-
+    
     f=open(jtemplate)
     lftext=f.read().split('\n')
     insert_point=lftext.index('EOF')
     f.close()
-
+    
     clist=c.tolist()
     colist=[]
@@ -78,5 +75,5 @@
         if 'maxstep' in elem:
             mt=int(elem.split(' ')[1])
-
+            
     for elem in clist:
         if 'start_date' in elem:
@@ -89,17 +86,17 @@
             elem='time '+'${MSJ_BASETIME} {MSJ_BASETIME}'
         colist.append(elem)
-
+        
     lftextondemand=lftext[:insert_point]+clist+lftext[insert_point+2:]
     lftextoper=lftext[:insert_point]+colist+lftext[insert_point+2:]
-
+    
     h=open('job.ksh','w')
-    h.write('\n'.join(lftextondemand))
+    h.write('\n'.join(lftextondemand))  
     h.close()
-
+    
     h=open('joboper.ksh','w')
-    h.write('\n'.join(lftextoper))
+    h.write('\n'.join(lftextoper))  
     h.close()
-
-    try:
+   
+    try:    
         p=subprocess.check_call(['ecaccess-job-submit','-queueName',queue,'job.ksh'])
     except:
@@ -111,5 +108,5 @@
 
 
-
+            
 if __name__ == "__main__":
     main()
Index: python/testsuite.py
===================================================================
--- python/testsuite.py	(revision d69b6776d6d39e0af0d38c95cbfd78284c9866e4)
+++ python/testsuite.py	(revision d69b6776d6d39e0af0d38c95cbfd78284c9866e4)
@@ -0,0 +1,89 @@
+#!/usr/bin/env python
+
+# This software is licensed under the terms of the Apache Licence Version 2.0
+# which can be obtained at http://www.apache.org/licenses/LICENSE-2.0. 
+# 
+# Leopold Haimberger, Dec 2015
+#
+# Functionality provided: This script triggers the ECMWFDATA test suite. Call with
+# testsuite.py [test group]
+# 
+#
+# Further documentation may be obtained from www.flexpart.eu
+# 
+# Test groups are specified in testsuite.json
+# in addition to a standard python 2.6 or 2.7 installation the following packages need to be installed
+# ECMWF WebMARS, gribAPI with python enabled, emoslib, ecaccess web toolkit, all available from https://software.ecmwf.int/
+# dateutils
+# matplotlib (optional, for debugging)
+
+import os,sys
+import json
+import subprocess
+try:
+    taskfile=open('testsuite.json')
+except:
+    print 'could not open suite definition file testsuite.json'
+    exit()
+
+if not os.path.isfile('../src/CONVERT2'):
+    print '../src/CONVERT2 could not be found'
+    print 'please run "install.py --target=local" first'
+    exit()
+
+fprs=os.getenv('FLEXPART_ROOT_SCRIPTS')
+if fprs is None:
+    print 'FLEXPART_ROOT_SCRIPTS not set .. some test jobs may fail'
+
+tasks=json.load(taskfile,encoding='latin-1')
+taskfile.close()
+if not os.path.exists('../test'):
+    os.makedirs('../test')
+if len(sys.argv)>1:
+    groups=sys.argv[1:] 
+else:
+    groups=['xinstall','default','ops','work','cv','fc']#,'hires']
+jobcounter=0
+jobfailed=0
+for g in groups:
+    try:
+        tk,tv=g,tasks[g]
+    except:
+        continue
+    garglist=[]
+    for ttk,ttv in tv.iteritems():
+        if isinstance(ttv,basestring):    
+            if ttk!='script':
+                garglist.append('--'+ttk)
+                if '$'==ttv[0]:
+                    garglist.append(os.path.expandvars(ttv))
+                else:
+                    garglist.append(ttv)
+    for ttk,ttv in tv.iteritems():
+        if isinstance(ttv,dict):
+            arglist=[]
+            for tttk,tttv in ttv.iteritems():
+                if isinstance(tttv,basestring):    
+                        arglist.append('--'+tttk)
+                        if '$' in tttv[0]:
+                            arglist.append(os.path.expandvars(tttv))                        
+                        else:
+                            arglist.append(tttv)
+            print 'Command: ',' '.join([tv['script']]+garglist+arglist)
+            o='../test/'+tk+'_'+ttk+'_'+'_'.join(ttv.keys())
+            print 'Output will be sent to ',o
+            f=open(o,'w')
+            try:
+                p=subprocess.check_call([tv['script']]+garglist+arglist,stdout=f,stderr=f)
+            except:
+                f.write('\nFAILED\n')
+                print 'FAILED'
+                jobfailed+=1
+            jobcounter+=1
+            f.close()
+
+print 'Test suite tasks completed'
+print str(jobcounter-jobfailed)+' successful, '+str(jobfailed)+' failed'
+print 'If tasks have been submitted via ECACCESS please check emails'
+                                       
+#print tasks
Index: src/Makefile.CRAY
===================================================================
--- src/Makefile.CRAY	(revision ced5d274f0e78ffb0d5892cf12addea47320a902)
+++ src/Makefile.CRAY	(revision d69b6776d6d39e0af0d38c95cbfd78284c9866e4)
@@ -10,4 +10,9 @@
 .SUFFIXES: .o .c .c~ .f .f~ .F90 .f90 .f90~ .f95 .f95~ .F .F~ .y .y~ .l .l~ \
            .s .s~ .sh .sh~ .h .h~ .C .C~ .a
+
+
+#GRIB_API_INCLUDE_DIR=/usr/local/gcc-4.9.3/grib1.12.3//include
+#GRIB_API_LIB=-openmp -L/usr/local/gcc-4.9.3/grib1.12.3/lib -Bstatic  -lgrib_api_f77 -lgrib_api_f90 -lgrib_api -Bdynamic  -lm  -ljasper
+#EMOSLIB=-lemosR64
 
 OPT	= 
@@ -47,6 +52,6 @@
 	$(F90C) -c -g -O3 ftrafo.f
 
-$(BINDIR)/$(EXE):	phgrreal.o grphreal.o ftrafo.o rwGRIB2.o  posnam.o preconvert.o
-	$(F90C) $(DEBUG) $(OPT) -o $(BINDIR)/$(EXE) ftrafo.o phgrreal.o grphreal.o rwGRIB2.o posnam.o preconvert.o ${LIB}
+$(BINDIR)/CONVERT2:	phgrreal.o grphreal.o ftrafo.o rwGRIB2.o  posnam.o preconvert.o
+	$(F90C) $(DEBUG) $(OPT) -o $(BINDIR)/CONVERT2 ftrafo.o phgrreal.o grphreal.o rwGRIB2.o posnam.o preconvert.o ${LIB}
 
 
Index: src/Makefile.gfortran
===================================================================
--- src/Makefile.gfortran	(revision ced5d274f0e78ffb0d5892cf12addea47320a902)
+++ src/Makefile.gfortran	(revision d69b6776d6d39e0af0d38c95cbfd78284c9866e4)
@@ -10,4 +10,9 @@
 .SUFFIXES: .o .c .c~ .f .f~ .F90 .f90 .f90~ .f95 .f95~ .F .F~ .y .y~ .l .l~ \
            .s .s~ .sh .sh~ .h .h~ .C .C~ .a
+
+
+#GRIB_API_INCLUDE_DIR=/usr/local/gcc-4.9.3/grib1.12.3//include
+#GRIB_API_LIB=-openmp -L/usr/local/gcc-4.9.3/grib1.12.3/lib -Bstatic  -lgrib_api_f77 -lgrib_api_f90 -lgrib_api -Bdynamic  -lm  -ljasper
+#EMOSLIB=-lemosR64
 
 OPT	= -g
@@ -36,5 +41,5 @@
 
 clean:
-	rm *.o *.mod ${EXE}
+	rm *.o
 
 phgrreal.o: phgrreal.f
@@ -47,6 +52,6 @@
 	$(F90C) -c -g -O3 -fopenmp ftrafo.f
 
-$(BINDIR)/${EXE}:	phgrreal.o grphreal.o ftrafo.o rwGRIB2.o  posnam.o preconvert.o
-	$(F90C) $(DEBUG) $(OPT) -o $(BINDIR)/${EXE} ftrafo.o phgrreal.o grphreal.o rwGRIB2.o posnam.o preconvert.o ${LIB}
+$(BINDIR)/CONVERT2:	phgrreal.o grphreal.o ftrafo.o rwGRIB2.o  posnam.o preconvert.o
+	$(F90C) $(DEBUG) $(OPT) -o $(BINDIR)/CONVERT2 ftrafo.o phgrreal.o grphreal.o rwGRIB2.o posnam.o preconvert.o ${LIB}
 
 
Index: src/Makefile.ifort
===================================================================
--- src/Makefile.ifort	(revision d69b6776d6d39e0af0d38c95cbfd78284c9866e4)
+++ src/Makefile.ifort	(revision d69b6776d6d39e0af0d38c95cbfd78284c9866e4)
@@ -0,0 +1,61 @@
+###############################################################################
+#
+# Top level Makefile for ECMWFDATA7.0 software
+#
+# Last modified:  December 1, 2015
+#
+###############################################################################
+
+
+.SUFFIXES: .o .c .c~ .f .f~ .F90 .f90 .f90~ .f95 .f95~ .F .F~ .y .y~ .l .l~ \
+           .s .s~ .sh .sh~ .h .h~ .C .C~ .a
+
+
+#GRIB_API_INCLUDE_DIR=/usr/local/ifort/grib1.12.3//include
+#GRIB_API_LIB=-openmp -L/usr/local/ifort/grib1.12.3/lib -Bstatic  -lgrib_api_f77 -lgrib_api_f90 -lgrib_api -Bdynamic  -lm  -ljasper
+
+OPT	= -g
+DEBUG	= -g
+LIB     =  $(GRIB_API_LIBS) -lemosR64 -lgfortran
+
+FC=ifort -132  -traceback -r8
+F90C=ifort -132  -traceback -r8
+
+FFLAGS =  $(OPT) -I. -I$(GRIB_API_INCLUDE_DIR)
+F90FLAGS =  $(OPT) -I. -I$(GRIB_API_INCLUDE_DIR)
+
+LDFLAGS =  $(OPT)
+
+BINDIR  =      .
+
+EXE	=      CONVERT2
+
+
+.f.o:
+	$(F90C) -c $(F90FLAGS) -132 $(DEBUG) $*.f
+.f90.o:
+	$(F90C) -c $(F90FLAGS) -132 $(DEBUG) $*.f90
+
+all:	${EXE}
+
+clean:
+	rm *.o
+
+phgrreal.o: phgrreal.f
+	$(F90C) -c -g -O3 -fopenmp phgrreal.f
+
+grphreal.o: grphreal.f
+	$(F90C) -c -g -O3 -fopenmp grphreal.f
+
+ftrafo.o: ftrafo.f
+	$(F90C) -c -g -O3 -fopenmp ftrafo.f
+
+$(BINDIR)/CONVERT2:	phgrreal.o grphreal.o ftrafo.o rwGRIB2.o  posnam.o preconvert.o
+	$(F90C) $(DEBUG) $(OPT) -o $(BINDIR)/CONVERT2 ftrafo.o phgrreal.o grphreal.o rwGRIB2.o posnam.o preconvert.o ${LIB}
+
+
+###############################################################################
+#
+# End of the Makefile
+#
+###############################################################################
Index: src/Makefile.local.gfortran
===================================================================
--- src/Makefile.local.gfortran	(revision ced5d274f0e78ffb0d5892cf12addea47320a902)
+++ src/Makefile.local.gfortran	(revision d69b6776d6d39e0af0d38c95cbfd78284c9866e4)
@@ -12,6 +12,6 @@
 
 
-GRIB_API_INCLUDE_DIR=/usr/local/gcc-4.9.3/grib_api-1.14.3/include
-GRIB_API_LIB= -L/usr/local/gcc-4.9.3/grib_api-1.14.3/lib -Bstatic  -lgrib_api_f77 -lgrib_api_f90 -lgrib_api -Bdynamic  -lm  -ljasper
+GRIB_API_INCLUDE_DIR=/usr/local/gcc-4.9.3/grib1.12.3//include
+GRIB_API_LIB= -L/usr/local/gcc-4.9.3/grib1.12.3/lib -Bstatic  -lgrib_api_f77 -lgrib_api_f90 -lgrib_api -Bdynamic  -lm  -ljasper
 EMOSLIB=-lemosR64
 
@@ -30,5 +30,5 @@
 BINDIR  =      .
 
-EXE	=     CONVERT2
+EXE	=      CONVERT2
 
 
@@ -38,8 +38,8 @@
 	$(F90C) -c $(F90FLAGS) $(DEBUG) $*.f90
 
-all:	$(EXE)
+all:	${EXE}
 
 clean:
-	rm *.o *.mod ${EXE}
+	rm *.o
 
 phgrreal.o: phgrreal.f
@@ -52,6 +52,6 @@
 	$(F90C) -c -g -O3 -fopenmp ftrafo.f
 
-$(BINDIR)/${EXE}:	phgrreal.o grphreal.o ftrafo.o rwGRIB2.o  posnam.o preconvert.o
-	$(F90C) $(DEBUG) $(OPT) -o $(BINDIR)/${EXE} ftrafo.o phgrreal.o grphreal.o rwGRIB2.o posnam.o preconvert.o ${LIB}
+$(BINDIR)/CONVERT2:	phgrreal.o grphreal.o ftrafo.o rwGRIB2.o  posnam.o preconvert.o
+	$(F90C) $(DEBUG) $(OPT) -o $(BINDIR)/CONVERT2 ftrafo.o phgrreal.o grphreal.o rwGRIB2.o posnam.o preconvert.o ${LIB}
 
 
Index: src/Makefile.local.ifort
===================================================================
--- src/Makefile.local.ifort	(revision 9a91826baec867641ab1e0389702fd06d33816cd)
+++ src/Makefile.local.ifort	(revision d69b6776d6d39e0af0d38c95cbfd78284c9866e4)
@@ -12,6 +12,6 @@
 
 
-GRIB_API_INCLUDE_DIR=/home/srvx1/tmc/TestEnv/Libraries/grib_api-1.12.3_ifort/include
-GRIB_API_LIB=-fopenmp -L/home/srvx1/tmc/TestEnv/Libraries/grib_api-1.12.3_ifort/lib -Bstatic  -lgrib_api_f77 -lgrib_api_f90 -lgrib_api -Bdynamic  -lm  -ljasper
+GRIB_API_INCLUDE_DIR=/usr/local/ifort/grib_api-1.14.3//include
+GRIB_API_LIB=-openmp -L/usr/local/ifort/grib_api-1.14.3/lib -Bstatic  -lgrib_api_f77 -lgrib_api_f90 -lgrib_api -Bdynamic  -lm  -ljasper #-lopenjpeg
 
 OPT	= -g
@@ -19,6 +19,6 @@
 LIB     =  $(GRIB_API_LIB) -lemosR64 -lgfortran
 
-FC=/opt/intel/bin/ifort -132  -traceback -r8
-F90C=/opt/intel/bin/ifort -132  -traceback -r8
+FC=ifort -132  -traceback -r8
+F90C=ifort -132  -traceback -r8
 
 FFLAGS =  $(OPT) -I. -I$(GRIB_API_INCLUDE_DIR)
@@ -40,5 +40,5 @@
 
 clean:
-	rm *.o *.mod ${EXE}
+	rm *.o
 
 phgrreal.o: phgrreal.f
@@ -51,6 +51,6 @@
 	$(F90C) -c -g -O3 -fopenmp ftrafo.f
 
-$(BINDIR)/${EXE}:	phgrreal.o grphreal.o ftrafo.o rwGRIB2.o  posnam.o preconvert.o
-	$(F90C) $(DEBUG) $(OPT) -o $(BINDIR)/${EXE} ftrafo.o phgrreal.o grphreal.o rwGRIB2.o posnam.o preconvert.o ${LIB}
+$(BINDIR)/CONVERT2:	phgrreal.o grphreal.o ftrafo.o rwGRIB2.o  posnam.o preconvert.o
+	$(F90C) $(DEBUG) $(OPT) -o $(BINDIR)/CONVERT2 ftrafo.o phgrreal.o grphreal.o rwGRIB2.o posnam.o preconvert.o ${LIB}
 
 
Index: src/rwGRIB2.f90
===================================================================
--- src/rwGRIB2.f90	(revision ceea034b0fe9af0c354b30972df40a3fa8e4c02f)
+++ src/rwGRIB2.f90	(revision d69b6776d6d39e0af0d38c95cbfd78284c9866e4)
@@ -23,6 +23,4 @@
    character*(*):: filename                             
 
-   feld = 0.
-   
    call grib_open_file(ifile, TRIM(FILENAME),'r')
  
